<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: conversation.proto

namespace Tellie\Family;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.family.MessageSentRequest</code>
 */
class MessageSentRequest extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>string sender_id = 1;</code>
     */
    protected $sender_id = '';
    /**
     * Generated from protobuf field <code>repeated string receiver_ids = 2;</code>
     */
    private $receiver_ids;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $sender_id
     *     @type string[]|\Google\Protobuf\Internal\RepeatedField $receiver_ids
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Conversation::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>string sender_id = 1;</code>
     * @return string
     */
    public function getSenderId()
    {
        return $this->sender_id;
    }

    /**
     * Generated from protobuf field <code>string sender_id = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setSenderId($var)
    {
        GPBUtil::checkString($var, True);
        $this->sender_id = $var;

        return $this;
    }

    /**
     * Generated from protobuf field <code>repeated string receiver_ids = 2;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getReceiverIds()
    {
        return $this->receiver_ids;
    }

    /**
     * Generated from protobuf field <code>repeated string receiver_ids = 2;</code>
     * @param string[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setReceiverIds($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->receiver_ids = $arr;

        return $this;
    }

}

